#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa8c16cf3, "module_layout" },
	{ 0xe0e90151, "rt2x00mac_tx_frames_pending" },
	{ 0xd283aa73, "rt2x00mac_get_ringparam" },
	{ 0xea4836e6, "rt2x00mac_get_antenna" },
	{ 0xb5e32490, "rt2x00mac_set_antenna" },
	{ 0x186d449b, "rt2x00mac_flush" },
	{ 0x18231242, "rt2x00mac_rfkill_poll" },
	{ 0xbc77eab2, "rt2x00mac_get_stats" },
	{ 0xb47c9e0a, "rt2x00mac_sw_scan_complete" },
	{ 0xf7636585, "rt2x00mac_sw_scan_start" },
	{ 0xc42fd05f, "rt2x00mac_set_key" },
	{ 0x5a8d9c79, "rt2x00mac_set_tim" },
	{ 0x89bb1dbc, "rt2x00mac_configure_filter" },
	{ 0xc088bb36, "rt2x00mac_bss_info_changed" },
	{ 0xe94165e0, "rt2x00mac_config" },
	{ 0x49d47644, "rt2x00mac_remove_interface" },
	{ 0x675640ba, "rt2x00mac_add_interface" },
	{ 0xf31997f1, "rt2x00mac_stop" },
	{ 0xc99d31f6, "rt2x00mac_start" },
	{ 0x23c84a61, "rt2x00mac_tx" },
	{ 0x3a807c56, "rt2x00usb_flush_queue" },
	{ 0x8bfceecf, "rt2x00usb_kick_queue" },
	{ 0x23ad96bf, "rt2x00usb_watchdog" },
	{ 0x9ee7071f, "rt2x00usb_clear_entry" },
	{ 0xf3e280a0, "rt2x00usb_uninitialize" },
	{ 0x8de284d3, "rt2x00usb_initialize" },
	{ 0xb0a9f13c, "rt2x00usb_resume" },
	{ 0xb8f40b54, "rt2x00usb_suspend" },
	{ 0x2b226bf0, "rt2x00usb_disconnect" },
	{ 0x1976aa06, "param_ops_bool" },
	{ 0x562b9321, "usb_deregister" },
	{ 0xdeb87602, "usb_register_driver" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa68224b7, "rt2x00mac_conf_tx" },
	{ 0xab80568d, "rt2x00usb_disable_radio" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4fbb184f, "consume_skb" },
	{ 0x6394d9da, "skb_pad" },
	{ 0x848dad9c, "skb_push" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xd2b09ce5, "__kmalloc" },
	{ 0x27e1a049, "printk" },
	{ 0xa491c9b3, "rt2x00usb_vendor_request" },
	{ 0x41daf3bb, "rt2x00usb_vendor_request_buff" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd29b009f, "crc_itu_t_table" },
	{ 0x6d356209, "crc_itu_t" },
	{ 0xe43f6a80, "skb_trim" },
	{ 0xac28405, "skb_pull" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9297e8ae, "mutex_unlock" },
	{ 0x9526adcd, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xa3a0c2e5, "rt2x00usb_regbusy_read" },
	{ 0x5ae4fa58, "mutex_lock" },
	{ 0x61ca1ca4, "rt2x00usb_probe" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,crc-itu-t";

MODULE_ALIAS("usb:v07B8pB21Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8pB21Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C10d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9021d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18C5p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1690p0722d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1723d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1724d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp905Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp905Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631pC019d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp0120d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00D8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00D9d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00E6d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p00F4d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0116d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0119d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0137d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v178Dp02BEd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p9022d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1371p9032d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C22d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp002Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C03d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C04d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C07d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7392p7318d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7392p7618d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p3701d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v15A9p0004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p800Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1472p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE010d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0023d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0028d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p4600d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6874d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA874d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1B75p7318d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp093Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2671d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0812p3101d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6196d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6229d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v18E8p6238d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04E8p4471d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1740p7100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0027d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p002Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p90ACd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p9712d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p31F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6933p5001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0471p200Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019pAB01d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2019pAB50d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v7167p3840d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0CDEp001Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0586p3415d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "BEEC4358735BFA5849F9D86");
