#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xa8c16cf3, "module_layout" },
	{ 0xe0e90151, "rt2x00mac_tx_frames_pending" },
	{ 0xd283aa73, "rt2x00mac_get_ringparam" },
	{ 0xea4836e6, "rt2x00mac_get_antenna" },
	{ 0xb5e32490, "rt2x00mac_set_antenna" },
	{ 0x186d449b, "rt2x00mac_flush" },
	{ 0x18231242, "rt2x00mac_rfkill_poll" },
	{ 0xa68224b7, "rt2x00mac_conf_tx" },
	{ 0xbc77eab2, "rt2x00mac_get_stats" },
	{ 0xb47c9e0a, "rt2x00mac_sw_scan_complete" },
	{ 0xf7636585, "rt2x00mac_sw_scan_start" },
	{ 0xc42fd05f, "rt2x00mac_set_key" },
	{ 0x5a8d9c79, "rt2x00mac_set_tim" },
	{ 0x89bb1dbc, "rt2x00mac_configure_filter" },
	{ 0xc088bb36, "rt2x00mac_bss_info_changed" },
	{ 0xe94165e0, "rt2x00mac_config" },
	{ 0x49d47644, "rt2x00mac_remove_interface" },
	{ 0x675640ba, "rt2x00mac_add_interface" },
	{ 0xf31997f1, "rt2x00mac_stop" },
	{ 0xc99d31f6, "rt2x00mac_start" },
	{ 0x23c84a61, "rt2x00mac_tx" },
	{ 0x3a807c56, "rt2x00usb_flush_queue" },
	{ 0x8bfceecf, "rt2x00usb_kick_queue" },
	{ 0x23ad96bf, "rt2x00usb_watchdog" },
	{ 0x9ee7071f, "rt2x00usb_clear_entry" },
	{ 0xf3e280a0, "rt2x00usb_uninitialize" },
	{ 0x8de284d3, "rt2x00usb_initialize" },
	{ 0xb0a9f13c, "rt2x00usb_resume" },
	{ 0xb8f40b54, "rt2x00usb_suspend" },
	{ 0x2b226bf0, "rt2x00usb_disconnect" },
	{ 0x1976aa06, "param_ops_bool" },
	{ 0x562b9321, "usb_deregister" },
	{ 0xdeb87602, "usb_register_driver" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xd2b09ce5, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa491c9b3, "rt2x00usb_vendor_request" },
	{ 0xab80568d, "rt2x00usb_disable_radio" },
	{ 0x848dad9c, "skb_push" },
	{ 0x41daf3bb, "rt2x00usb_vendor_request_buff" },
	{ 0x9297e8ae, "mutex_unlock" },
	{ 0x5ae4fa58, "mutex_lock" },
	{ 0x27e1a049, "printk" },
	{ 0x9526adcd, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x29e696a8, "usb_submit_urb" },
	{ 0x4fbb184f, "consume_skb" },
	{ 0xe43f6a80, "skb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x61ca1ca4, "rt2x00usb_probe" },
	{ 0xb4390f9a, "mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "5F88EFABA3407AFAB6CD052");
